%define        majver %(echo %version | cut -d. -f 1-2)
%define        apiver %{majver}

Name:          libgegl
Version:       0.3.20
Release:       1mamba
Summary:       GEGL (Generic Graphics Library) is a graph based image processing framework.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://gegl.org/
Source:        http://download.gimp.org/pub/gegl/%{majver}/gegl-%{version}.tar.bz2
Patch0:        %{name}-0.1.8-fix_build.patch
Patch1:        %{name}-0.1.8-ffmpeg.patch
Patch2:        libgegl-0.2.0-liblua-5.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libbabl-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcroco-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgomp-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libilmbase-devel
BuildRequires: libjasper-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblcms2-devel
BuildRequires: liblensfun-devel
BuildRequires: liblua-devel
BuildRequires: liblzma-devel
BuildRequires: libopenexr-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libraw-devel
BuildRequires: libreadline-devel
BuildRequires: librsvg-devel
BuildRequires: libselinux-devel
BuildRequires: libspiro-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
BuildRequires: libthai-devel
BuildRequires: libtiff-devel
BuildRequires: libv4l-devel
BuildRequires: libwebp-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: liblensfun-devel >= 0.3.2-1mamba
Requires:      asciidoc
Requires:      enscript
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

#Optional features:
#  GEGL docs:      yes
#  Build workshop: yes
#  Build website:  yes
#  SIMD:           sse:yes mmx:yes

#Optional dependencies:
#  GTK+:           yes 
#  GIO:            yes 
#  Ruby:           yes 
#  Lua:            yes 
#  Cairo:          yes 
#  Pango:          yes 
#  pangocairo:     yes 
#  GDKPixbuf:      yes 
#  JPEG:           yes 
#  PNG:            yes
#  OpenEXR:        yes
#  rsvg:           yes
#  SDL:            yes
#  openraw:        yes
#  asciidoc:       yes
#  enscript:       yes
#  graphviz:       yes
#  avcodec:        yes
#  avformat:       yes
#  V4L:            yes
%description
GEGL provides infrastructure to do demand based cached non destructive image editing on larger than RAM buffers. 
Through babl it provides support for a wide range of color models and pixel storage formats for input and output.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GEGL (Generic Graphics Library) is a graph based image processing framework.
GEGL provides infrastructure to do demand based cached non destructive image editing on larger than RAM buffers. 
Through babl it provides support for a wide range of color models and pixel storage formats for input and output.

This package contains static libraries and header files need for development.

%package      apidocs
Summary:      %{name} API documentation
Group:        Documentation
Provides:     %{name}-api
Obsoletes:    %{name}-api

%description  apidocs
%{name} API documentation.

%prep
%setup -q -n gegl-%{version}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

# workaround for a libtool error
mkdir operations/workshop/external/lib
 
%build
./autogen.sh
#export CAIRO_CFLAGS=-I/usr/include/cairo
%configure \
   --enable-gtk-doc \
   --enable-workshop \
   --enable-static \
   --without-vala \
   LDFLAGS="-ltermcap"

%make -j1 ||%make -j1
#make check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall gtkdochtmldir=%{_datadir}/gtk-doc/html/gegl
install -d  %{buildroot}%{_datadir}/applications
install -d  %{buildroot}%{_datadir}/pixmaps

#install -m 644 docs/gallery/data/gegl.png %{buildroot}%{_datadir}/pixmaps

#cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
#[Desktop Entry]
#Name=GEGL
#GenericName=Generic Graphics Library
#Comment=A graph based image processing framework
#Exec=/usr/bin/gegl
#Icon=/usr/share/pixmaps/gegl.png
#Terminal=false
#Type=Application
#Categories=KDE;Graphics;
#EOF

%find_lang gegl-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gegl-%{apiver}.lang
%defattr(-,root,root)
%{_bindir}/gcut
%{_bindir}/gegl
%{_bindir}/gegl-*
%{_libdir}/libgegl-%{apiver}.so.*
%{_libdir}/girepository-1.0/Gegl-%{apiver}.typelib
%{_libdir}/gegl-%{apiver}/grey2.json
%dir %{_libdir}/gegl-%{apiver}
%{_libdir}/gegl-%{apiver}/*.a
%{_libdir}/gegl-%{apiver}/*.la
%{_libdir}/gegl-%{apiver}/*.so
%doc AUTHORS COPYING COPYING.LESSER

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gegl-%{apiver}
%{_includedir}/gegl-%{apiver}/*.h 
%dir %{_includedir}/gegl-%{apiver}/npd
%{_includedir}/gegl-%{apiver}/npd/*.h
%dir %{_includedir}/gegl-%{apiver}/opencl
%{_includedir}/gegl-%{apiver}/opencl/*.h
%dir %{_includedir}/gegl-%{apiver}/operation
%{_includedir}/gegl-%{apiver}/operation/*.h
%dir %{_includedir}/gegl-%{apiver}/sc
%{_includedir}/gegl-%{apiver}/sc/*.h
%dir %{_libdir}/gegl-%{apiver}
%{_datadir}/gir-1.0/Gegl-%{apiver}.gir
%{_libdir}/libgegl-*%{apiver}.a
%{_libdir}/libgegl-*%{apiver}.la
%{_libdir}/libgegl-*%{apiver}.so
%{_libdir}/pkgconfig/gegl-*%{apiver}.pc
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gegl
%{_datadir}/gtk-doc/html/gegl/*

%changelog
* Sat Sep 09 2017 Automatic Build System <autodist@mambasoft.it> 0.3.20-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 0.3.14-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic update by autodist

* Sat Mar 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6-1mamba
- update to 0.3.6

* Sat Mar 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-4mamba
- rebuilt by autoport with build requirements: liblensfun-devel>=0.3.2-1mamba

* Mon Feb 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-3mamba
- rebuilt with libsuitesparse 4.0.2

* Tue Nov 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-2mamba
- rebuilt (added lua 5.2 patch)

* Thu May 03 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.2.0-1mamba
- update to 0.2.0

* Mon Mar 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.8-3mamba
- rebuilt with libsuitesparse (obsoleting libumfpack)

* Sat Feb 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.8-2mamba
- move plugin libraries from devel to main package

* Thu Jan 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.8-1mamba
- update to 0.1.8

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic version update by autodist

* Wed Feb 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-1mamba
- update to 0.1.4

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.2-2mamba
- rebuilt with libpng 1.4

* Sat May 22 2010 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- automatic update by autodist

* Sat Jul 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-1mamba
- update to 0.1.0

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.22-1mamba
- update to 0.0.22
- removed desktop entry
- api package renamed to apidocs

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.18-3mamba
- automatic rebuild by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.18-2mamba
- automatic rebuild by autodist

* Wed Oct 15 2008 gil <puntogil@libero.it> 0.0.18-1mamba
- update to 0.0.18
- renamed libgegl
- optional features added (workshop, website)
- added desktop file

* Wed Oct 01 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.0.10-1mamba
- first build
